% Esercizio 1 del 28 agosto 2017
clear all
close all

% parte a)

% definisco xt con linspace (100 intervalli equispaziati)
xt = linspace (0.5, 3/2,100);    
% grafico della funzione (x-1)^2*log(x)
% sui punti target xt
plot (xt, (xt-1).^2.*log(xt))   
legend ('(x-1)^2log(x)');
grid on   % attivo la grid 

% considero x0=0.5 
% uso function handle per definire le funzioni f e fp 
f = @(x) (x-1).^2.* log(x) ;      
fp = @(x) 2*(x-1).*log(x) + ((x-1).^2)./x ;
x0=0.5; tol=1.e-8; kmax=20;

[x1, k, err] = Newton(f, fp, x0, tol, kmax);
% Newton converge in k iterazioni e l'errore decresce
% quadraticamente, come da teoria
figure(2)
semilogy(1:k, err)
title ('plot dell''errore metodo di Newton')


% parte b) 
alfa=1;
[x1, k, err, p, m] = Newton1(f, fp, x0, tol, kmax, alfa);
p(end)
m(end)

% Abbiamo scoperto che p = 1 e m=3


% parte c)
m=floor(m(end));
[x1, k, err] = Newton2(f, fp, x0, tol, kmax, m);
figure(3)
semilogy(1:k, err)
title ('plot dell''errore metodo di Newton modificato')
